@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/*既存styleの調整*/
.article > p{margin-bottom:0.8em;}
.article h2{background-color:#b3dd7d}
.article h3{border-left:7px solid #7ed957;}
.article h4{border-top:2px solid #7ed957;border-bottom:2px solid #00bf63;}
small{font-size:14px;color:#808080;}
blockquote{background-color:#ebf3e8;border-radius:5px;border:none;padding:1.8em;}
blockquote::before, blockquote::after{color:#00bf63;}
blockquote a{color:#00bf63;display:block;text-align:right;font-size:14px;}
blockquote table td{white-space:normal!important;}
blockquote table th{background-color:#efefef!important;white-space: normal!important;}
.widget_title{font-size:20px;background-color:var(--cocoon-xx-thin-color);padding:12px;margin:16px 0;border-radius:0;font-weight:bold;}
.widget_block{margin-bottom:16px;line-height:1.7;}
.textwidget:has(.wpcf7) > p{display:none;}
.textwidget:has(.wpcf7) > a{color:#00bf63;}
.textwidget:has(.wpcf7) > br{display:none;}
span.wpcf7-not-valid-tip{display:block;width:fit-content;box-sizing:border-box;max-width:100%;background:#dc3232;color:#fff;padding:0.3em 0.5em;margin:5px auto 0;}
span.wpcf7-spinner{position:absolute;z-index:1000;top:0;left:calc(50% - 20px);}

.read-time{
	background:#ebf3e8;
	border:none;
	width:fit-content;
	max-width:95%;
	margin:0 auto;
	padding:10px 1em 5px 1.5em;
	border-radius:2em;
	box-sizing:border-box;
	border:none;
}
.pager-post-navi{
	background:#f9f9f9;
	border-radius:5px;
}
#comment-reply-btn{
	background:#7ed957;
	border-color:#cdf35f #00bf63 #11894f #76f35f;
}
input[type=submit]{
	background:#b3dd7d;
	border-color:#7ed957;
}

.fix_cell_table th,
.fix_cell_table td {
	max-width:12em;
	word-break: break-word;
	overflow-wrap: break-word;
	white-space: normal;
}
.fix_cell_table th{font-weight:bold;}

.fix_cell_table {
	table-layout:fixed;
	overflow-x: auto !important;
	overflow-y: auto !important;
	font-size:14px;
}
.fix_top_cell td{font-weight:bold;background:#6acf9f;color:#fff;}

.widget-below-sns-buttons-title{color:#00bf63;text-align:center;font-weight:bold;}
.author-box{border:dotted 4px #00bf63;}
.author-thumb{margin-top:6px;}
.author-box .author-name a{color:#00bf63;}
.question-box::before,.information-box::before,.alert-box::before{top:20px;margin-top:0;}
.alert-box{background:#ebf3e8;border:1px solid #b3dd7d;}
.alert-box::before{color:#7ed957;border-right:1px solid #7ed957;}
.success-box{background:#d7efb7;}
.article table ul,
.article table p{margin-bottom:0;}


/*追加項目のstyle*/
.busy_point{
	width:100%;
	box-sizing:border-box;
	padding:25px 20px 10px;
	border-radius:0 10px 10px 10px;
	border:5px solid #00bf63;
	margin:45px 0;
	margin-top:0!important;
}
p.busy_point_tit{
  display:flex;
  flex-flow:row wrap;
  gap:0 5px;
  align-items:center;
  font-weight:bold;
  width:fit-content;
  box-sizing: border-box;
  padding:5px 15px 0 10px;
  margin-bottom:0px!important;
  border-radius: 10px 10px 0 0;
  background:#00bf63;
  color:#fff;
}
.busy_point_tit img{
	display:block;
	width:1.5em;
	height:1.5em;
}
.busy_point ol{
	display:block;
	width:fit-content;
	list-style:none;
	padding:0;
	margin:0;
	counter-reset: number;
}
.busy_point li{
	border-bottom:1px dashed #7ed957;
	margin:0 0 10px!important;
}
.busy_point li::before{
	counter-increment: number;
	content:counter(number)".";
	font-weight:bold;
	color:#00bf63;
	margin-right:5px;
}
.busy_point ol a{
	color:#333;
	font-weight:bold;
	text-decoration: none;
}
.busy_point ol a::after{
	content:"→check";
	display:inline-block;
	color:#fff;
	font-weight:bold;
	margin:0 0 0 10px; 
	padding:4px 5px 2px 2px;
	background:#7ed957;
	border-radius:5px;
	font-size:14px;
	line-height:1.0;
	letter-spacing:0.1em;
}
.busy_point ol a:hover { opacity:0.5; }

.video-container{
	width:100%;
	margin:1em 0;
	max-width:100%;
	border-radius:5px;
	overflow:hidden;
}
.video-container .video{
	width:100%;
	height:auto;
	aspect-ratio:16 / 9;
	overflow:hidden;
	position:relative;
	padding:0;
	margin:0;
}
.video-container .video iframe{
	width:100%;
	height:auto;
	aspect-ratio:16 / 9;
	position:absolute;
	z-index:1;
	top:0;
	left:0;
}
.anchor{
	display:block;
	width:100%;
	border:none;
	margin:0;
	height:1px;
}
.youcomm_faq{
	width:100%;
	margin:1em 0;
}
.youcomm_question,
.youcomm_answer{
	display:flex;
	flex-flow:row wrap;
	align-items:center;
	gap:0 15px;
}
p.youcomm_faq_icon{
	width:fit-content;
	max-width:calc(20% - 15px);
	margin-bottom:0;
	line-height:1.0;
}
.youcomm_faq_text{
	width:80%;
	box-sizing:border-box;
	padding-bottom:0.5em;
}
.youcomm_answer{
	width:100%;
	box-sizing:border-box;
	padding:0 0 1em 10%;
	border-bottom:5px dotted #b3dd7d;
	margin:0 0 2em auto;
}
.youcomm_question .youcomm_faq_text{
	font-size:120%;
}
.youcomm_question .youcomm_faq_text::before{
	content:"「";
	color:#00bf63;
}
.youcomm_question .youcomm_faq_text::after{
	content:"」";
	color:#00bf63;
}
.single_bottom{
	display:flex;
	flex-flow:row wrap;
	align-items:center;
	width:calc(100% - 3px);
	box-sizing:border-box;
	box-shadow:3px 3px 0 #00bf63ab;
	border-radius:10px;
	padding:2em 1em 1em;
	background:linear-gradient(120deg, #d4fc79 0%, #96e6a1 100%);
	position:relative;
	overflow:visible;
	margin:3em 0 1em;
}
.single_bottom_tit{
	display:block;
	width:fit-content;
	max-width:100%;
	position:absolute;
	z-index:1;
	background:#00bf63;
	box-sizing:border-box;
	padding:0.5em 1em;
	border-radius:2em;
	color:#fff;
	font-weight:bold;
	top:-1.5em;
	left:0;
	right:0;
	margin:0 auto;
	font-size:110%;
}
.single_bottom_img{
	width:30%;
	box-sizing:border-box;
	text-align:center;
	line-height:1.0;
}
.single_bottom_text{
	width:70%;
	box-sizing:border-box;
	padding:1em;
	background:#ffffff99;
	border-radius:0.5em;
}
.single_bottom_text > a{text-decoration:none;color:#333;}
.single_bottom_text > a > span.fa-external-link{display:none;}
.single_bottom_text p{margin-bottom:0.5em;}
.single_bottom_copy{
	font-weight:bold;
	color:#00bf63;
	text-shadow:1px 1px 0 #fff;
}
.gray_box{
	display:block;
	width:96%;
	margin:1em auto 1.8em;
	box-sizing:border-box;
	padding:0.5em 1em;
	border-radius:10px;
	background:#ebedec;
}
.gray_box ul,.gray_box ol,.gray_box dl{margin:0;}
article .gray_box p{margin:0.5em 0 0;}

.episode_box{display:block;box-sizing:border-box;padding:1em;border-radius:0.5em;background:#ebf3e8;border:5px solid #d6e9ce;}
.episode_box hr{display:block;border:0;border-bottom:2px dashed #00bf63;background:transparent!important;}
.episode_box a,.episode_box a:visited{color:#00bf63;}

.marker-red {
    background: linear-gradient(transparent 60%, #ffb6c1 60%);
	font-size:120%;
	font-weight:bold;
}
dt{ font-weight:bold; }

.container_2 {
	display: flex;
	flex-wrap: wrap;
	gap: 20px;
	justify-content: center;
}
.container_2 div {
	width:calc(calc(100% - 20px) / 2);
	height: auto;
}
.container_2 img {
	width:100%;
	border:5px solid #7ed957;
	border-radius:8px;
}
.kaisetsu div:first-child {
	width:40%;
}
.kaisetsu div:first-child(2) {
	width:calc(60% - 20px);
}

.main:has(.img_popup_container){z-index:100;}
.img_popup_container{cursor:pointer;}
.img_popup_container > img{width:100%;height:auto;}
.img_popup{width:100vw!important;height:100vh!important;position:fixed;background:#00000057;top:0;left:0;z-index:100;overflow:auto;}
.img_popup img{display:block;width:fit-content;height:auto;max-height:80vh;position:absolute;top:10vh;left:0;right:0;margin:0 auto;z-index:105;}
.flexlist{display:flex;flex-flow:row wrap;}
.flex_center{align-items:center;justify-content:center;}
.flexlist_20{width:20%;box-sizing:border-box;padding:10px;}
.flexlist_30{width:30%;box-sizing:border-box;padding:10px;}
.flexlist_40{width:40%;box-sizing:border-box;padding:10px;}
.flexlist_50{width:50%;box-sizing:border-box;padding:10px;}
.flexlist_60{width:60%;box-sizing:border-box;padding:10px;}
.flexlist_70{width:70%;box-sizing:border-box;padding:10px;}
.flexlist_80{width:80%;box-sizing:border-box;padding:10px;}
.flexlist_100{width:100%;box-sizing:border-box;padding:10px;}

.fit-table td{white-space:normal;}

.question::before{content:url("/wp-content/uploads/2025/01/icon_q.png");display:block;}

.fire_basic_box{
	background:linear-gradient(145deg, #ecefcc, #ebedec);
	width:96%;
	margin:1em auto 1.8em;
	box-sizing:border-box;
	padding:0.5em 1em;
	border-radius:10px;
}

.sitemap-posts{width:100%;max-height:50vh;overflow-y:auto;box-sizing:border-box;padding:0 0.5em;margin:0 0 50px;gap:0 8px;}
.sitemap-posts li{font-size:16px;margin:0 0.5em;padding:0;border-bottom:1px dashed #ccc;display:flex;align-items:flex-end;}
.sitemap-posts li span{font-size:14px;color:#00bf63;}

/*cta*/
.cta_a a{display:flex;flex-flow:row wrap;align-items:center;background:#f4f5f7;box-sizing:border-box;padding:0.5em;border-radius:10px;border:1px solid #acacad;gap:0 15px;position:relative;line-height:1;}
.cta_a img{display:block;width:fit-content;max-width:15%;flex:0 0 auto;margin-bottom:7px;}
.cta_a a span{display:block;width:fit-content;max-width:calc(85% - 15px);text-decoration:underline;position:relative;z-index:1;color:#333;}
.cta_a small{position:absolute;z-index:2;color:#00bf63;width:fit-content;height:fit-content;font-size:14px;bottom:3px;right:5px;}

.cta_b > a{display:block;position:relative;overflow:visible;color:#333;text-decoration:none;}
.cta_b > a > p{display:none;}
.cta_b_img{position:absolute;display:block;width:147px;max-width:20%;bottom:-23px;left:1%;line-height:1;}
.cta_b_img img{display:block;}
.cta_b_txt{box-sizing:border-box;border-radius:10px;border:1px solid #acacad;padding:1em 1em 1em 22%;background:url("/wp-content/themes/cocoon-child-master/images/cta_b_label.png") no-repeat 100% 5% #F4F5F6;}
.cta_b_txt strong{text-decoration:underline;display:inline-block;margin-bottom:10px;}
.cta_b_txt p{margin:0;line-height:1.7;}

/*related*/
.related_post_custom{display:block;width:100%;margin:0 0 30px;box-sizing:border-box;padding:10px 0!important;list-style:none;}
.related_post_custom li{display:block;padding:0.5em 0;margin:0;border-bottom:dotted 4px #ccc;}
.related_post_custom li > a{display:flex;flex-flow:row wrap;gap:15px;text-decoration:none!important;}
.related_post_custom li > a figure{width:150px;display:block;flex:0 0 150px;}
.related_post_custom li > a figure img{display:block;}
.related_post_custom li > a .crp_title{width:calc(100% - 165px);flex:1 0 auto;color:#333;}
.crp_title:first-letter{font-size:120%;}
.related_title{display:block;box-sizing:border-box;padding:0.5em 1em;margin:50px 0 10px!important;background:#00bf63;color:#fff;font-weight:bold;font-size:120%;}

/* table */
table caption { font-weight:bold; text-align:left; }
table th { background-color:#ebf3e8!important; padding-left:10px; padding-right:10px; }
table th, table td { border:1px solid #b3dd7d!important;}
table .total td{ font-weight:bold; background-color:#fff; border:none!important; }
table .total td:first-child { text-align:right; }
table thead td{ background-color:#b3dd7d!important; text-align:center; font-weight:bold; border:1px solid #fff!important; }

hr { background-color:#00bf63!important; color:#00bf63!important; margin-bottom:20px; margin-top:-10px; border-top: 1px solid #00bf63; }

.jirei_ng { background:#fdf2f2; border: 1px solid #f6b9b9; padding:15px 20px 0 20px; box-sizing: border-box; border-radius:8px;}
.jirei_ok { background: #f3fafe; border: 1px solid #bde4fc; padding:15px 20px 0 20px; box-sizing: border-box; border-radius:8px;}
.jirei_other { background: #fff7cc; border: 1px solid #ffe766; padding:15px 20px 0 20px; box-sizing: border-box; border-radius:8px;}
.jirei_ng hr { background-color:#f6b9b9!important; color:#f6b9b9!important; margin-bottom:10px; margin-top:-20px; border-top: 1px solid #f6b9b9; }
.jirei_ok hr { background-color:#bde4fc!important; color:#bde4fc!important; margin-bottom:10px; margin-top:-20px; border-top: 1px solid #bde4fc; }
.jirei_other hr { background-color:#ffe766!important; color:#ffe766!important; margin-bottom:10px; margin-top:-20px; border-top: 1px solid #ffe766; }

/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
	blockquote a{text-align:left;}
	main.main{padding:0 16px 30px;}
	.article h1{
		padding:0 0 10px;
		margin:0 0 10px;
	}
	.single_bottom_img{width:100%;}
	.single_bottom_img a{
		display:block;
		width:100%;
	}
	.single_bottom_img img{
		max-width:50vw;
		margin:0 auto;
	}
	.single_bottom_text{width:100%;}
	.single_bottom_copy{text-align:center;}
	.busy_point{margin-top:-1px!important;}
}
@media screen and (max-width:767px){
	.cta_b > a{display:flex;flex-flow:row wrap;gap:0 10px;border:1px solid #acacad;border-radius:10px;background:url("/wp-content/themes/cocoon-child-master/images/cta_b_label.png") no-repeat 100% 5% #F4F5F6;box-sizing:border-box;padding:1em 0.5em;}
	.cta_b_img{position:relative;bottom:inherit;left:inherit;}
	.cta_b_txt{border:none;border-radius:0;background:transparent;max-width:calc(80% - 10px);padding:0;}
}
/*480px以下*/
@media screen and (max-width: 480px){
	.youcomm_answer{padding:1em 0;}
	.cta_a a{flex-flow:column wrap;padding:0.5em 0.5em 1em;}
	.cta_a img{width:fit-content;max-width:100%;}
	.cta_b > a{flex-flow:column wrap;align-items:center;padding:0.5em 1em 1em;}
	.cta_b_img{width:fit-content;max-width:100%;}
	.cta_b_txt{width:100%;max-width:100%;}
	.cta_b_title{text-align:center;}
	.cta_b_txt p:not(.cta_b_title){display:inline;}
	.kaisetsu { flex-direction: column; }
	.kaisetsu div{ width:100%!important; }
}
